Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.opencard.terminal.pcsc10
Class OCFPCSC1

    java.lang.Object
      com.ibm.opencard.terminal.pcsc10.OCFPCSC1

    public class OCFPCSC1

extends java.lang.Object

`OCFPCSC1` for PCSC card terminals.

Version:
  $Id: OCFPCSC1.java,v 1.1.1.1 2004/04/08 10:29:27 asc Exp $
Author:
  Stephan Breideneich (sbreiden@de.ibm.com)

Constructor Summary
`OCFPCSC1()` Constructor with initialization of the OCF tracing mechanism.

Method Summary
`void` | `initTrace()`
`static void` | `loadLib()`
`protected void` | `msg(int level, java.lang.String methodName, java.lang.String aLine)`
`int` | `SCardConnect(int context, java.lang.String reader, int shareMode, int preferredProtocol, java.lang.Integer activeProtocol)`
`byte[]` | `SCardControl(int card, int controlCode, byte[] inBuffer)`
`void` | `SCardDisconnect(int card, int disposition)`
`int` | `SCardEstablishContext(int scope)`
`byte[]` | `SCardGetAttrib(int card, int attrId)`
`void` | `SCardGetStatusChange(int context, int timeout, PcscReaderState[] readerState)`
`java.lang.String[]` | `SCardListReaders(java.lang.String groups)`
`void` | `SCardReconnect(int card, int shareMode, int preferredProtocoll, int initialization, java.lang.Integer activeProtocol)`
`void` | `SCardReleaseContext(int context)`
`byte[]` | `SCardTransmit(int card, byte[] sendBuffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCFPCSC1

    public OCFPCSC1()
             throws PcscException

  Constructor with initialization of the OCF tracing mechanism.

  Throws:
    `PcscException` - thrown when error occured in PC/SC-Interface

Method Detail

### loadLib

    public static void loadLib()

### initTrace

    public void initTrace()

### SCardListReaders

    public java.lang.String[] SCardListReaders(java.lang.String groups)
                                        throws PcscException

  Throws:
    `PcscException`

### SCardEstablishContext

    public int SCardEstablishContext(int scope)
                              throws PcscException

  Throws:
    `PcscException`

### SCardReleaseContext

    public void SCardReleaseContext(int context)
                             throws PcscException

  Throws:
    `PcscException`

### SCardConnect

    public int SCardConnect(int context,
                            java.lang.String reader,
                            int shareMode,
                            int preferredProtocol,
                            java.lang.Integer activeProtocol)
                     throws PcscException

  Throws:
    `PcscException`

### SCardReconnect

    public void SCardReconnect(int card,
                               int shareMode,
                               int preferredProtocoll,
                               int initialization,
                               java.lang.Integer activeProtocol)
                        throws PcscException

  Throws:
    `PcscException`

### SCardDisconnect

    public void SCardDisconnect(int card,
                                int disposition)
                         throws PcscException

  Throws:
    `PcscException`

### SCardGetStatusChange

    public void SCardGetStatusChange(int context,
                                     int timeout,
                                     PcscReaderState[] readerState)
                              throws PcscException

  Throws:
    `PcscException`

### SCardGetAttrib

    public byte[] SCardGetAttrib(int card,
                                 int attrId)
                          throws PcscException

  Throws:
    `PcscException`

### SCardControl

    public byte[] SCardControl(int card,
                               int controlCode,
                               byte[] inBuffer)
                        throws PcscException

  Throws:
    `PcscException`

### SCardTransmit

    public byte[] SCardTransmit(int card,
                                byte[] sendBuffer)
                         throws PcscException

  Throws:
    `PcscException`

### msg

    protected void msg(int level,
                       java.lang.String methodName,
                       java.lang.String aLine)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD